%define glib_version 2.6.0
%define gtk_version 2.4.0
%define gnome_panel_version 2.2.0
%define gnome_python_version 2.9.0
%define gtkhtml2_version 2.3.1
%define gtksourceview_version 1.1.90 
%define libwnck_version 2.8.0
%define libgtop_version 2.9.5
%define nautilus_cd_burner_version 2.9.4
%define mozilla_version 1.7.3
%define gtkspell_version 2.0.7

Summary: The sources for additional. PyGNOME Python extension modules.
Name: gnome-python2-extras
Version: 2.10.0
Release: 2.1 
License: GPL/LGPL
Group: Development/Languages
Source0: gnome-python-extras-%{version}.tar.bz2
Patch0: gnome-python-extras-2.10.0-gtkspell-static.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: gnome-python2 >= %{gnome_python_version}

BuildRequires: glib2 >= %{glib_version}
BuildRequires: gtk2 >= %{gtk_version}
BuildRequires: gnome-python2 >= %{gnome_python_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel_version}
BuildRequires: gtkhtml2-devel >= %{gtkhtml2_version}
BuildRequires: libgnomeprintui22-devel
BuildRequires: gtksourceview-devel >= %{gtksourceview_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libgtop2-devel >= %{libgtop_version}
BuildRequires: nautilus-cd-burner-devel >= %{nautilus_cd_burner_version}
BuildRequires: gtkspell-devel >= %{gtkspell_version}
%ifnarch ppc64
BuildRequires: mozilla-devel >= %{mozilla_version}
%endif

%description
The gnome-python-extra package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.


%package -n gnome-python2-applet
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet

%description -n gnome-python2-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.


%package -n gnome-python2-gtkhtml2
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Languages
Requires: gtkhtml2 >= %{gtkhtml2_version}
Obsoletes: pygnome-gtkhtml

%description -n gnome-python2-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python.


%package -n gnome-python2-gnomeprint
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Languages
Requires: libgnomeprint22, libgnomeprintui22

%description -n gnome-python2-gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.


%package -n gnome-python2-gtksourceview
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with the gtksourceview library 
Group: Development/Languages
Requires:  gtksourceview >= %{gtksourceview_version}

%description -n gnome-python2-gtksourceview
This module contains a wrapper that allows the use of gtksourceview via
Python.


%package -n gnome-python2-libwnck
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libwnck
Group: Development/Languages
Requires:  libwnck >= %{libwnck_version}

%description -n gnome-python2-libwnck
This module contains a wrapper that allows the use of libwnck via
Python.


%package -n gnome-python2-libgtop2
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgtop
Group: Development/Languages
Requires:  libgtop2 >= %{libgtop_version}

%description -n gnome-python2-libgtop2
This module contains a wrapper that allows the use of libgtop via
Python.


%package -n gnome-python2-libegg
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for recent files and tray icons
Group: Development/Languages

%description -n gnome-python2-libegg
This module contains a wrapper that allows the use of recent files
and tray icons via Python.


%package -n gnome-python2-nautilus-cd-burner
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with nautilus-cd-burner
Group: Development/Languages
Requires:  nautilus-cd-burner >= %{nautilus_cd_burner_version}

%description -n gnome-python2-nautilus-cd-burner
This module contains a wrapper that allows the use of nautilus-cd-burner
via Python.


%package -n gnome-python2-gtkspell
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gtkspell
Group: Development/Languages
Requires:  gtkspell >= %{gtkspell_version}

%description -n gnome-python2-gtkspell
This module contains a wrapper that allows the use of gtkspell
via Python.


%ifnarch ppc64
%package -n gnome-python2-gtkmozembed
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gtkmozembed
Group: Development/Languages
Requires:  mozilla >= %{mozilla_version}

%description -n gnome-python2-gtkmozembed
This module contains a wrapper that allows the use of gtkmozembed
via Python.
%endif

%prep
%setup -q -n gnome-python-extras-%{version}
%patch0 -p1 -b .gtkspell-static

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-extras-2.0.pc
%{_datadir}/pygtk

%files -n gnome-python2-applet
%defattr(-,root,root,-)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/applet.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomeapplet.so


%files -n gnome-python2-gtkhtml2
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtkhtml*
%defattr(644,root,root,755)
%doc examples/gtkhtml2/*


%files -n gnome-python2-gnomeprint
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomeprint/
%defattr(644,root,root,755)
%doc examples/gnomeprint/*


%files -n gnome-python2-gtksourceview
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtksourceview.so
%defattr(644,root,root,755)
%doc examples/gtksourceview/*


%files -n gnome-python2-libwnck
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/wnck.so


%files -n gnome-python2-libgtop2
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtop.so


%files -n gnome-python2-libegg
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/egg
%defattr(644,root,root,755)
%doc examples/egg/*


%files -n gnome-python2-nautilus-cd-burner
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/nautilusburn.so
%defattr(644,root,root,755)
%doc examples/nautilusburn/*


%files -n gnome-python2-gtkspell
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtkspell.so


%ifnarch ppc64
%files -n gnome-python2-gtkmozembed
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtkmozembed.so
%endif


%changelog
* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-2.1
- Retag and rebuild

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-2
- Add patch to fix build error with gtkspell module

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-1
- Update to upstream 2.10.0

* Mon Feb  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.3-1
- Initial build.

